# permissions for end users to edit kafkas.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: kafka-editor-role
rules:
- apiGroups:
  - devops.generalov.org
  resources:
  - kafkas
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - devops.generalov.org
  resources:
  - kafkas/status
  verbs:
  - get
